LibreOffice: XPrimitiveFactory2D Interface Reference

LibreOffice LibreOffice 24.8 SDK API Reference

Loading...
Searching...
No Matches
XPrimitiveFactory2D Interface Reference

XPrimitiveFactory2D interface. More...

`import "XPrimitiveFactory2D.idl";`

Inheritance diagram for XPrimitiveFactory2D:

## Public Member Functions
sequence< XPrimitive2D > | createPrimitivesFromXShape ([in] ::com::sun::star::drawing::XShape xShape, [in] sequence< ::com::sun::star::beans::PropertyValue > aParms)
| Create primitives from com::sun::star::drawing::XShape.
sequence< XPrimitive2D > | createPrimitivesFromXDrawPage ([in] ::com::sun::star::drawing::XDrawPage xDrawPage, [in] sequence< ::com::sun::star::beans::PropertyValue > aParms)
| Create primitives from com::sun::star::drawing::XDrawPage.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

XPrimitiveFactory2D interface.

Use this interface to generate XPrimitive2D instances

## Member Function Documentation

## ◆ createPrimitivesFromXDrawPage()

sequence< XPrimitive2D > createPrimitivesFromXDrawPage | ( | [in] ::com::sun::star::drawing::XDrawPage | xDrawPage,
|  | [in] sequence< ::com::sun::star::beans::PropertyValue > | aParms )

Create primitives from com::sun::star::drawing::XDrawPage.

Parameters

  xDrawPage | The XDrawPage, for which the primitives are to be generated. Specifying an invalid or empty page here will result in an empty return value.
  aParms | Sequence of factory parameters, whose semantics depend on the page to be generated.

Returns
  a sequence of primitives, that consists of the geometrical representation for the given XDrawPage.

## ◆ createPrimitivesFromXShape()

sequence< XPrimitive2D > createPrimitivesFromXShape | ( | [in] ::com::sun::star::drawing::XShape | xShape,
|  | [in] sequence< ::com::sun::star::beans::PropertyValue > | aParms )

Create primitives from com::sun::star::drawing::XShape.

Parameters

  xShape | The XShape, for which the primitives are to be generated. Specifying an invalid or empty shape here will result in an empty return value.
  aParms | Sequence of factory parameters, whose semantics depend on the shape to be generated.

Returns
  a sequence of primitives, that consists of the geometrical representation from the given XShape.

The documentation for this interface was generated from the following file:

- com/sun/star/graphic/XPrimitiveFactory2D.idl